package com.pcloud.book.keywords.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lily
 * @date 2019/4/24 14:41
 */
@Data
public class UpdateKeywordVO implements Serializable {

    private static final long serialVersionUID = 1437983088879919619L;
    @ApiModelProperty("关键词标识")
    private Long keywordId;

    @ApiModelProperty("分类标识")
    private Long classifyId;

    @ApiModelProperty("社群码标识")
    private Long bookGroupId;

    @ApiModelProperty("书刊关键词id")
    private Long bookKeywordId;

    @ApiModelProperty("关键词")
    private String keywords;

    @ApiModelProperty("引导语")
    private String guide;

    @ApiModelProperty("匹配规则")
    private Integer matchingRule;

    @ApiModelProperty("回复类型")
    private Integer replyType;

    @ApiModelProperty("是否仓库词（1：是  0：否）")
    private Integer isWarehouse;

    @ApiModelProperty("仓库词id")
    private Long warehouseId;

    @ApiModelProperty("服务标识")
    private Long serveId;

    @ApiModelProperty("服务类型")
    private String serveType;

    @ApiModelProperty("内容")
    private String content;

    @ApiModelProperty("图片地址")
    private String picUrl;

    @ApiModelProperty("链接地址")
    private String linkUrl;

    @ApiModelProperty("描述信息")
    private String description;

    @ApiModelProperty("是否加入仓库")
    private Integer addWarehouse;

}
